Bug 475717 - [LTC 5.4 FEAT] Enhance the ipr driver to support MSI-X interrupt [201780]
[LTC 5.4 FEAT] Enhance the ipr driver to support MSI-X interrupt [201780]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Ameet Paranjape
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-09 22:30 EST by IBM Bug Proxy
Modified: 2009-09-02 04:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable MSI for IPR if it is supported (1.47 KB, text/plain)
2009-01-26 19:40 EST, IBM Bug Proxy
no flags Details
patch built for RHEL 5.4 (1.51 KB, text/plain)
2009-04-13 14:40 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50371 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 22:30:47 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201780]
a. Name of Feature:	Enhance the ipr driver to support MSI-X interrupt
b. Feature Description
The ipr driver needs to enable the MSI or MSI-X interrupt support for all PCI-Express SAS adapters.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Device Driver
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Not Started
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	

3. Business Case
Enhancing the SAS IO on Power platform

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Wayne Boyer, wboyer@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Comment 1 John Jarvis 2008-12-10 12:10:21 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-23 12:50:43 EST
The patch has been submitted to linux-scsi here: http://marc.info/?l=linux-scsi&m=123273106605076&w=2

Backport testing is under way.
Comment 3 IBM Bug Proxy 2009-01-26 19:40:34 EST
Created attachment 330050 [details]
Enable MSI for IPR if it is supported



Patch built against IPR version 2.2.0.2 on a RHEL 5.3 system using the 2.6.18-128.el5 kernel source rpm.
Comment 4 IBM Bug Proxy 2009-01-26 20:50:48 EST
tested using 2 PCI-X adapters and 2 PCI-E adapters.  PCI-X adapters corrected reported MSI not enabled. PCI-E adapters correctly reported MSI enabled.

With storage connected to the PCI-E adapters in a dual adapter configuration, ran disk stress test on 4 arrays (one each of RAID 0, RAID 10, RAID 5 and RAID 6) and switched the primary adapter.  The switch occurred without error and the stress tests continued to run without errors.

Performed a format of a JBOD disk to an advanced function disk with no errors.

Performed 4 iterations of rmmod and insmod of the ipr module.  Gave debug=1 for the insmod and observed the correct reporting of MSI enabled or not enabled.
Comment 6 RHEL Product and Program Management 2009-02-16 10:16:28 EST
Updating PM score.
Comment 7 John Jarvis 2009-03-04 16:35:55 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 8 IBM Bug Proxy 2009-04-13 14:40:49 EDT
Created attachment 339351 [details]
patch built for RHEL 5.4


------- Comment on attachment From wayneb@us.ibm.com 2009-04-13 14:36 EDT-------


Attaching an updated patch for RHEL 5.4.  The original patch did not have the correct paths and did not apply cleanly.

Please note that code HAS NOT been changed.  This is simply an update to the format of the patch.
Comment 9 Ameet Paranjape 2009-04-13 14:54:45 EDT
Red Hat,

The patch given to you via RKML already had the path fixes and had passed brew build.  This message was meant for the IBM side.  Therefore, please ignore comment #8.  Thanks.
Comment 10 Don Zickus 2009-04-27 11:58:35 EDT
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 12 Chris Ward 2009-06-14 19:19:01 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 13 Chris Ward 2009-07-03 14:17:26 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 IBM Bug Proxy 2009-07-06 23:00:36 EDT
------- Comment From wayneb@us.ibm.com 2009-07-06 22:54 EDT-------
I have loaded the beta release and verified that the MSI support is included for the IPR driver.

PCI: Enabling device: (0002:01:00.0), cmd 142
ipr 0002:01:00.0: MSI enabled
ipr 0002:01:00.0: Found IOA with IRQ: 53
ipr 0002:01:00.0: Starting IOA initialization sequence.
ipr 0002:01:00.0: Adapter firmware version: 0322004F
ipr 0002:01:00.0: IOA initialized.
scsi3 : IBM 57BA Storage Adapter
Comment 16 errata-xmlrpc 2009-09-02 04:16:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.